## GstParamSpec GstParamSpec |

## Functions

GParamSpec * | gst_param_spec_fraction ()

## Types and Values

#define | GST_PARAM_CONTROLLABLE
#define | GST_PARAM_USER_SHIFT
#define | GST_PARAM_MUTABLE_PAUSED
#define | GST_PARAM_MUTABLE_PLAYING
#define | GST_PARAM_MUTABLE_READY
struct | GstParamSpecFraction

## Includes

    #include <gst/gst.h>

## Description

## Functions

### gst_param_spec_fraction ()

    GParamSpec *
    gst_param_spec_fraction (const gchar *name,
                             const gchar *nick,
                             const gchar *blurb,
                             gint min_num,
                             gint min_denom,
                             gint max_num,
                             gint max_denom,
                             gint default_num,
                             gint default_denom,
                             GParamFlags flags);

## Types and Values

### GST_PARAM_CONTROLLABLE

    #define GST_PARAM_CONTROLLABLE (1 << (G_PARAM_USER_SHIFT + 1))

### GST_PARAM_USER_SHIFT

    #define GST_PARAM_USER_SHIFT (1 << (G_PARAM_USER_SHIFT + 8))

### GST_PARAM_MUTABLE_PAUSED

    #define GST_PARAM_MUTABLE_PAUSED  (1 << (G_PARAM_USER_SHIFT + 3))

### GST_PARAM_MUTABLE_PLAYING

    #define GST_PARAM_MUTABLE_PLAYING  (1 << (G_PARAM_USER_SHIFT + 4))

### GST_PARAM_MUTABLE_READY

    #define GST_PARAM_MUTABLE_READY  (1 << (G_PARAM_USER_SHIFT + 2))

### struct GstParamSpecFraction

    struct GstParamSpecFraction {
      GParamSpec    parent_instance;

      gint          min_num, min_den;
      gint          max_num, max_den;
      gint          def_num, def_den;
    };